var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":49,"id":2498,"methods":[{"el":47,"sc":5,"sl":41}],"name":"ResponseBasicUnauthorized","sl":39}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_0":{"methods":[{"sl":41}],"name":"testBasicAuthenticationCredentialsCaching","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_14":{"methods":[{"sl":41}],"name":"testBasicAuthenticationNoCreds","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_18":{"methods":[{"sl":41}],"name":"testBasicAuthenticationSuccessWithNonRepeatableExpectContinue","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_25":{"methods":[{"sl":41}],"name":"testBasicAuthenticationSuccessNonPersistentConnection","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_45":{"methods":[{"sl":41}],"name":"testBasicAuthenticationSuccess","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_47":{"methods":[{"sl":41}],"name":"testBasicAuthenticationFailure","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_57":{"methods":[{"sl":41}],"name":"testAuthenticationUserinfoInRequestSuccess","pass":true,"statements":[{"sl":44}]},"test_61":{"methods":[{"sl":41}],"name":"testBasicAuthenticationFailureWithNonRepeatableEntityExpectContinueOff","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_65":{"methods":[{"sl":41}],"name":"testBasicAuthenticationSuccessOnRepeatablePost","pass":true,"statements":[{"sl":44},{"sl":45}]},"test_76":{"methods":[{"sl":41}],"name":"testAuthenticationUserinfoInRequestFailure","pass":true,"statements":[{"sl":44},{"sl":45}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [57, 14, 65, 76, 25, 18, 61, 47, 0, 45], [], [], [57, 14, 65, 76, 25, 18, 61, 47, 0, 45], [14, 65, 76, 25, 18, 61, 47, 0, 45], [], [], [], []]
